
#ifndef _MPS_H
#define _MPS_H

  #ifdef __cplusplus
    extern "C" {
  #endif

extern float mpsPointSize;
extern float mpsMaxPointSize;

typedef float mpsVectorsType [3];
typedef float mpsDsType [3];
typedef float mpsColorsType [4];

#define MPS_POINTS 0
#define MPS_LINES 1
#define MPS_TRIANGLES 2
#define MPS_QUADS 3
#define MPS_POINTELEMENTS 4
#define MPS_POINTARRAYS 5
#define MPS_POINTELEMENTSLOCKED 6
#define MPS_POINTARRAYSLOCKED 7

#define MPS_DRAWMETHODMAX 8

void mpsInit (void);

void mpsSetupVector (float *vector);

void mpsSetupD (float *d);

void mpsSetupColors (float *colors);

void mpsSetupLength (int length);

void mpsSetupPointSize (float size);

char *mpsGetMethodName (int method);

void mpsDraw (int method);

  #ifdef __cplusplus
    }
  #endif

#endif
